Summary: IBM Java Software Runtime Environment
Name: IBMJava2-JRE
Version: 1.3.1
Release: 17
Epoch: 1
License: Commercial
Group: Development/Languages
URL: http://www.software.ibm.com
Source0: IBMJava2-JRE-131.tgz
Source1: IBMJava2-JAAS-131.tgz
SOURCE2: IBMJava2-JAVACOMM-131.tgz
Source3: java_jre.sh.in
Source4: java_jre.csh.in
Source5: fixes.html
Source6: jtzu-1.6.8c.zip
BuildRoot: %{_tmppath}/%{name}-root
Prereq: sed, fileutils
ExclusiveArch: i386
Provides: jre
Prefix: /opt

%define pluginfile libjavaplugin_oji.so
%define plugindir %{prefix}/IBMJava2-131/jre/bin

%description
IBM Java Runtime Environment for Linux, Java2(TM) Technology Edition
v1.3.1.  Includes Java Authentication and Authorization Service (JAAS)
and Java Commications API (JAVACOMM) add-on modules.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{prefix}
{
    pushd %{buildroot}%{prefix}
    tar xzf %{SOURCE0}
    tar xzf %{SOURCE1}
    tar xzf %{SOURCE2}	
    popd
}

rm -rf jtzu
mkdir -p jtzu
pushd jtzu
  unzip %{SOURCE6}
  JTZU_JRE_PATH=%{buildroot}%{prefix}/IBMJava2-131/jre
  echo $JTZU_JRE_PATH
  cp -a runjtzuenv.sh runjtzuenv.sh.orig
  echo $JTZU_JRE_PATH > SDKList.txt
  cat > runjtzuenv.sh << EOF
JAVA_HOME=$JTZU_JRE_PATH
NOGUI=true
DISCOVERONLY=false
SILENTPATCH=true
EOF
  chmod +x runjtzu.sh
  ./runjtzu.sh
popd
rm -f %{buildroot}%{prefix}/IBMJava2-131/jre/lib/rt.jar_jtzubackup

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d/java_jre.sh
install %{SOURCE4} %{buildroot}%{_sysconfdir}/profile.d/java_jre.csh
install -m 644 %{SOURCE5} %{buildroot}%{prefix}/IBMJava2-131/docs



%post
sed -e "s|%%ROOT%%|${RPM_INSTALL_PREFIX}/IBMJava2-131|" \
	%{_sysconfdir}/profile.d/java_jre.sh > \
	%{_sysconfdir}/profile.d/java_jre.sh.new
cp %{_sysconfdir}/profile.d/java_jre.sh.new \
	%{_sysconfdir}/profile.d/java_jre.sh && \
	rm -f %{_sysconfdir}/profile.d/java_jre.sh.new

sed -e "s|%%ROOT%%|${RPM_INSTALL_PREFIX}/IBMJava2-131|" \
	%{_sysconfdir}/profile.d/java_jre.csh > \
	%{_sysconfdir}/profile.d/java_jre.csh.new
cp %{_sysconfdir}/profile.d/java_jre.csh.new \
	%{_sysconfdir}/profile.d/java_jre.csh && \
	rm -f %{_sysconfdir}/profile.d/java_jre.csh.new

%triggerin -- mozilla
{
  if [ -x %{_bindir}/mozilla ]
  then
    IJ2_MV=`%{_bindir}/mozilla --version | awk '{ print $2 }' | sed 's/,$//'`
    IJ2_PD=%{_libdir}/mozilla-$IJ2_MV/plugins
    if [ -d $IJ2_PD ]
    then
      pushd $IJ2_PD > /dev/null
      ln -sf %{plugindir}/%{pluginfile} %{pluginfile}
      popd > /dev/null
    fi
  fi
} || :

%triggerin -- seamonkey
{
  if [ -x %{_bindir}/mozilla ]
  then
    IJ2_MV=`%{_bindir}/mozilla --version | awk '{ print $2 }' | sed 's/,$//'`
    IJ2_PD=%{_libdir}/mozilla-seamonkey-$IJ2_MV/plugins
    if [ -d $IJ2_PD ]
    then
      pushd $IJ2_PD > /dev/null
      ln -sf %{plugindir}/%{pluginfile} %{pluginfile}
      popd > /dev/null
    fi
  fi
} || :

%triggerun -- mozilla
if [ $2 -eq 0 ]
then
  {
    if [ -x %{_bindir}/mozilla ]
    then
      IJ2_MV=`%{_bindir}/mozilla --version | awk '{ print $2 }' | sed 's/,$//'`
      rm -f %{_libdir}/mozilla-$IJ2_MV/plugins/%{pluginfile}
    fi
  } || :
fi

%triggerun -- seamonkey
if [ $2 -eq 0 ]
then
  {
    if [ -x %{_bindir}/mozilla ]
    then
      IJ2_MV=`%{_bindir}/mozilla --version | awk '{ print $2 }' | sed 's/,$//'`
      rm -f %{_libdir}/mozilla-seamonkey-$IJ2_MV/plugins/%{pluginfile}
    fi
  } || :
fi

%postun
if [ $1 -eq 0 ]
then
  {
    if [ -x %{_bindir}/mozilla ]
    then
      IJ2_MV=`%{_bindir}/mozilla --version | awk '{ print $2 }' | sed 's/,$//'`
      rm -f %{_libdir}/mozilla-$IJ2_MV/plugins/%{pluginfile}
      rm -f %{_libdir}/mozilla-seamonkey-$IJ2_MV/plugins/%{pluginfile}
    fi
  } || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{prefix}/IBMJava2-131
%attr(0755,root,root) %config %verify(not size md5 mtime) %{_sysconfdir}/profile.d/*
%config(noreplace) %{prefix}/IBMJava2-131/jre/lib/security/cacerts
%config(noreplace) %{prefix}/IBMJava2-131/jre/lib/security/java.policy
%config(noreplace) %{prefix}/IBMJava2-131/jre/lib/security/java.security

%changelog
* Mon Jun  9 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-17
- Import IBMJava2-JRE 1.3.1 SR11 + applet loading ifix:
  java version "1.3.1"
  Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1)
  Classic VM (build 1.3.1, J2RE 1.3.1 IBM build cxia32131ifx-20080502 (SR11 + 133531 ) (JIT enabled: jitc))
- Import jtzu 1.6.8c.
- Resolves: rhbz#422261

* Fri Nov 16 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-16
- Import jtzu 1.6.7h.

* Fri Nov 16 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-15
- Import IBMJava2-JRE 1.3.1 SR11:
  java version "1.3.1"
  Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1)
  Classic VM (build 1.3.1, J2RE 1.3.1 IBM build cxia32131-20070913 (SR11) (JIT enabled: jitc))

* Mon Sep 24 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-14
- Remove timezone backup file.
- Resolves: rhbz#250522

* Wed Sep 19 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-13
- Update timezone data to tzdata2007f.
- Resolves: rhbz#250522

* Mon Jan  8 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-12
- Install plugin symlink in versioned Mozilla or Seamonkey directory.
- Relinquish ownership of plugin symlink.
- Resolves: rhbz#216876

* Tue Dec 19 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-11
- Import IBM Java 1.3.1 SR10:
  java version "1.3.1"
  Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1)
  Classic VM (build 1.3.1, J2RE 1.3.1 IBM build cxia32131ifx-20061109 (131SR10 + 110450 + 110188 + 111317) (JIT enabled: jitc))
- Add fixes.html as an external source.
- Resolves: rhbz#216876

* Fri Jan  9 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 1:1.3.1-10
- updated to IBM cxia32131-20031021 SR6 release
- replace old default cacerts file (md5sum:
  0f02413e96200df5521ab0574d8444e3) with new default cacerts file
  (md5sum: ec2cc97b69a57023a37c1f333e47caf2)
  (IT#29962)
- include fixes.html (#112282)
- mark cacerts, java.policy and java.security files as
  config(noreplace) (#111713)

* Fri Oct 17 2003 Thomas Fitzsimmons <fitzsim@redhat.com> 1:1.3.1-8
- updated to IBM cxia32131-20030618 SR5 release

* Wed Sep 18 2002 Preston Brown <pbrown@redhat.com> 1.3.1-5
- updated to IBM cxia32131-20020621 internal fix release

* Wed Sep 11 2002 Preston Brown <pbrown@redhat.com> 1.3.1-4
- fix csh script (#62105)

* Wed Mar 27 2002 Bill Nottingham <notting@redhat.com> 1.3.1-3
- add mozilla plugin symlink

* Thu Mar 21 2002 Preston Brown <pbrown@redhat.com> 1.3.1-1
- version 1.3.1 from IBM
- include JAAS and JAVACOMM packages (tiny)

* Thu Feb 21 2002 Preston Brown <pbrown@redhat.com> 1.3-1
- Initial Red Hat RPM version creation
